# Gets Approval Instances by Execution Id

Gets Approval Instances by Execution Id [Beta]

Endpoint: GET /v1/orgs/{org}/projects/{project}/approvals/execution/{execution-id}
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Organization identifier

  - `project` (string, required)
    Project identifier

  - `execution-id` (string, required)
    Pipeline Execution identifier

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

## Query parameters:

  - `approval_status` (string)
    This filters approval instances based on status
    Enum: "WAITING", "APPROVED", "REJECTED", "FAILED", "ABORTED", "EXPIRED"

  - `approval_type` (string)
    This filters approval instances based on type
    Enum: "HarnessApproval", "JiraApproval", "CustomApproval", "ServiceNowApproval"

  - `node_execution_id` (string)
    This filters approval instances based on runtime identifier of the step

## Response 200 fields (application/json):

  - `id` (string)
    Approval Instance identifier

  - `type` (string)
    Tells the type of Approval
    Enum: "HarnessApproval", "JiraApproval", "CustomApproval", "ServiceNowApproval"

  - `status` (string)
    Tells the status of Approval
    Enum: "WAITING", "APPROVED", "REJECTED", "FAILED", "ABORTED", "EXPIRED"

  - `deadline` (integer)
    Deadline timestamp for Approval Instance

  - `created` (integer)
    Creation timestamp for Approval Instance

  - `updated` (integer)
    Last modification timestamp for Approval Instance

  - `error_message` (string)
    Error message for the Approval Instance

  - `details` (object)
    Approval Instance response details


